<?
$this->load->view('cpanel/header');
?>


<script>

var xmlhttp;



function GetXmlHttpObject()
{
if (window.XMLHttpRequest)
  {
  // code for IE7+, Firefox, Chrome, Opera, Safari
  return new XMLHttpRequest();
  }
if (window.ActiveXObject)
  {
  // code for IE6, IE5
  return new ActiveXObject("Microsoft.XMLHTTP");
  }
return null;
}




function dopagination(pageNumber)
{
xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var description=document.getElementById("description").value;
var prefix=document.getElementById("prefix").value;
var grace_period=document.getElementById("grace_period").value;
var resolution=document.getElementById("resolution").value;
var idRate=document.getElementById("idRate").value;
var limit=document.getElementById("limit").value;


if(description=="")
description = "NULL";

if(prefix=="")
prefix = "NULL";

if(grace_period=="")
grace_period = "NULL";

if(resolution=="")
resolution = "NULL";


var url = "<?=site_url("rate/rateChartPagination")?>";

var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(pageNumber) + "/"  + escape(limit) + "/" + escape(description) + "/" + escape(prefix) + "/" + escape(grace_period) + "/" + escape(resolution) + "/" + escape(idRate) + "/" + myRandom, true);
xmlhttp.send(null);
}




function searchRate()
{

xmlhttp=GetXmlHttpObject();
 if (xmlhttp==null)
  {
  alert ("Browser does not support HTTP Request");
  return;
  }



var description=document.getElementById("description").value;
var prefix=document.getElementById("prefix").value;
var grace_period=document.getElementById("grace_period").value;
var resolution=document.getElementById("resolution").value;
var idRate=document.getElementById("idRate").value;
var limit=document.getElementById("limit").value;
var startoffset=0;


if(description=="")
description = "NULL";

if(prefix=="")
prefix = "NULL";

if(grace_period=="")
grace_period = "NULL";

if(resolution=="")
resolution = "NULL";


 document.getElementById("loading").style.display = "block";
 document.getElementById("loading").style.visibility = "visible";

var url = "<?=site_url("rate/rateChartPagination")?>";
var myRandom = parseInt(Math.random()*99999999); // cache buster


xmlhttp.onreadystatechange=stateChanged;
xmlhttp.open("GET", url + "/" + escape(startoffset) + "/"  + escape(limit) + "/" + escape(description) + "/" + escape(prefix) + "/" + escape(grace_period) + "/" + escape(resolution) + "/" + escape(idRate) + "/" + myRandom, true);
xmlhttp.send(null);



}




function stateChanged()
{
if (xmlhttp.readyState==4)
{
rowID = "pagination";
document.getElementById("loading").style.visibility = "hidden";
document.getElementById(rowID).innerHTML=xmlhttp.responseText;
}
}



function exportRate()
{


var description=document.getElementById("description").value;
var prefix=document.getElementById("prefix").value;
var grace_period=document.getElementById("grace_period").value;
var resolution=document.getElementById("resolution").value;
var idRate=document.getElementById("idRate").value;


if(description=="")
description = "NULL";

if(prefix=="")
prefix = "NULL";

if(grace_period=="")
grace_period = "NULL";

if(resolution=="")
resolution = "NULL";


var url = "<?=site_url("rate/exportSearchRateChart")?>";
var myRandom = parseInt(Math.random()*99999999); // cache buster

window.location= url  + "/" + escape(description) + "/" + escape(prefix) + "/" + escape(grace_period) + "/" + escape(resolution) + "/" + escape(idRate) + "/" + myRandom;


}






</script>





<div id = "loading" style="position:absolute;top:200px;left:530px;width;100px;height:100px; bgcolor:#f2f2f2; border:0px solid #99BBE8;zindex:250;display:none;">
<img src="<?=base_url()?>images/indicator2.gif?>" border="0" />
</div>



<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td id="right">

      <img src="<?=base_url()?>images/s.gif" width="600" height="1" border="0" alt="" />
      <div id="module_info">

                  <div class="quickmenu" style='padding-left:10px;'>
                      <img src="<?=base_url()?>images/qb_remove.gif" align="baseline" width="9" height="9" border="0" alt="" />
                      <a href="#" onclick="javascript:exportRate();">Export</a>
                  </div>

                  <div class="quickmenu" style='padding-left:10px;'>
                      <img src="<?=base_url()?>images/qb_remove.gif" align="baseline" width="9" height="9" border="0" alt="" />
                      <a href="<?=site_url('rate/importRateForm/'.$idRate)?>" rel='facebox'>Import</a>
                  </div>

                  <div class="quickmenu">
                      <img src="<?=base_url()?>images/qb_remove.gif" align="baseline" width="9" height="9" border="0" alt="" />
                      <a href="<?=site_url('rate/addRateForm/'.$idRate)?>">New Rate Chart</a>
                  </div>


                  <span>&nbsp;&nbsp;&raquo;</span> <?=TITLE027?>  <?=$titleErrorMessage?>   </div>


   <!-- Search Information -->

<fieldset class="search_box" id="advancedSearch" style="margin-bottom:0px;"><legend>Advanced Search</legend>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right">Description :</td>
    <td align="left"><input type="text" class = "formInput" name="description" id="description" value="" style="width:90px"/></td>

    <td align="right">Perfix :</td>
    <td align="left"><input type="text" class = "formInput" name="prefix" id="prefix" value="" style="width:90px"/></td>

    <td align="right">Grace Period :</td>
    <td align="left"><input type="text" class = "formInput" name="grace_period" id="grace_period" value="" style="width:90px"/></td>

    <td align="right">Resolution :</td>
    <td align="left"><input type="text" class = "formInput" name="resolution" id="resolution" value="" style="width:90px"/></td>



    <td align="right">Records :</td>
    <td align="left">
  <select name="limit" id="limit" class = "selectFrom" style="width:60px" onchange="searchRate();">
	<option value="<?=LIMIT_PERPAGE?>"><?=LIMIT_PERPAGE?></option>
	<option value="<?=LIMIT_PERPAGE*2?>"><?=LIMIT_PERPAGE*2?></option>
	<option value="<?=LIMIT_PERPAGE*3?>"><?=LIMIT_PERPAGE*3?></option>
	<option value="<?=LIMIT_PERPAGE*4?>"><?=LIMIT_PERPAGE*4?></option>
</select>
    </td>

<td align="left">

	<a href="#" onclick="javascript:searchRate();">
	<img src="<?=base_url()?>images/apply.gif" height="22" border="0" />
	</a>

</td>

  </tr>
</table>



</fieldset>

   <!-- End Search Information -->

    </td>
  </tr>

  <tr>
    <td>

<div id = "pagination">


	<?php
	$start = $startoffset * $limit + 1;
	$end = ($startoffset +1 )* $limit ;

	if($total<$start)
	$start = $total;

	if($total<=$end)
	$end = $total;
	?>


<table width="100%" border="0" cellspacing="0" cellpadding="0" class="tableBorder">
  <tr>
    <td class="mainTableTitle">

      <span>&nbsp;&nbsp;&raquo;</span> <?=$rateName?> Total : <?=$total?> Showing <?=$start?> to <?=$end?>

    </td>
  </tr>


 <tr>
    <td>

 <!-- Clinets List -->

 <table class="gbTable">

   <tr class="header">
     <td width="2%"><div align="left" style="padding-left:5px;">NR</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">Prefix</div></td>
     <td width="40%"><div align="left" style="padding-left:5px;">Description</div></td>
     <td width="8%"><div align="left" style="padding-left:5px;">Rate</div></td>
     <td width="6%"><div align="left" style="padding-left:5px;">Rate Multi</div></td>
     <td width="6%"><div align="center" style="padding-left:5px;">GPeriod</div></td>
     <td width="10%"><div align="center" style="padding-left:5px;">MinTime</div></td>
     <td width="10%"><div align="center" style="padding-left:5px;">Resolution</div></td>
 	 <td width="4%"><div align="center" style="padding-left:0px;">Status</div></td>
 	 <td width="3%"><div align="center" style="padding-left:0px;">Edit</div></td>
 	 <td width="3%"><div align="center" style="padding-left:0px;">Del</div></td>

   </tr>



<?
$i=1;
if(is_array($rateChartList))
{
foreach($rateChartList as $row)
{
$passid =$row->id;


if($row->is_disable == 0)
$checkActive = "checked='checked'";
else
$checkActive = "";




?>

      <?

	  		if($i%2==0)
	  		 {

	  		 $str = "
	  		 		 <TR id = \"$passid\" class=\"row2 \"
	  		 		               onmousedown=\"rowPointer(this, 'down', 'row2', 'rowSel', 'rowMark')\"
	  		 		               onmouseover=\"rowPointer(this, 'over', 'row2', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row2', 'rowSel', 'rowMark')\">";


	  		 }
	  		else
	  		 {
	  			$str = "
	  					 <TR id = \"$passid\" class=\"row1 \"
	  					               onmousedown=\"rowPointer(this, 'down', 'row1', 'rowSel', 'rowMark')\"
	  					               onmouseover=\"rowPointer(this, 'over', 'row1', 'rowSel', 'rowMark')\"
	  		               onmouseout=\"rowPointer(this, 'out', 'row1', 'rowSel', 'rowMark')\">";
	  		 }



	  echo $str;

	  ?>

 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  id="checkActive" value="1" /></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->prefix?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->description?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->voice_rate?></td>
 <td align=left class="tableBorderAll" style="padding-left:5px;"><?=$row->rate_mult?></td>
 <td align=center class="tableBorderAll" style="padding-left:5px;"><?=$row->grace_period?></td>
 <td align=center class="tableBorderAll" style="padding-left:5px;"><?=$row->minimal_time?></td>
 <td align=center class="tableBorderAll" style="padding-left:5px;"><?=$row->resolution?></td>
 <td align=center class="tableBorderAll" style="padding-left:0px;"><input name="checkActive" type="checkbox"  disabled="disabled" id="checkActive" value="1"  <?=$checkActive?> /></td>


 <td align=center class="tableBorderAll" style="padding-left:5px;">
   <a href="<?=site_url('rate/editRateChartForm/'.$row->id_rate.'/'.$row->id)?>" title="Edit Reseller" >
   <img src="<?=base_url()?>images/contact_blue_edit.png" border="0" height="16">
   </a>
 </td>

 <td align=center  style="padding-left:5px;">
  <a href="<?=site_url('rate/deleteRateChart/'.$row->id_rate.'/'.$row->id)?>"  onclick="return confirm('Do you really want to remove this Rate')" title="Delete" >
  <img src="<?=base_url()?>images/remove.png" border="0" height="16">
  </a>
 </td>

   </tr>

<?
$i++;
}

}

?>


 </table>

<!-- End Clients List -->

    </td>
  </tr>

  <tr>
    <td align="center" style="padding-top:5px;">

    <input type="hidden" name="description" id="description" value="<?=$description?>" />
	<input type="hidden" name="prefix" id="prefix" value="<?=$prefix?>" />
	<input type="hidden" name="grace_period" id="grace_period" value="<?=$grace_period?>" />
	<input type="hidden" name="resolution" id="resolution" value="<?=$resolution?>" />
	<input type="hidden" name="idRate" id="idRate" value="<?=$idRate?>" />
	<input type="hidden" name="limit" id="limit" value="<?=$limit?>" />
	<input type="hidden" name="startoffset" id="startoffset" value="<?=$startoffset?>" />



<?


      $p = new paginationClass;
      $p->Items($total);

      if($startoffset==0)
      $startoffset = 1;

      $p->limit($limit);
      $p->target("paginator.php");
      $p->currentPage($startoffset);
      $p->adjacents(3);
      $p->show();



?>


    </td>
  </tr>

</table>

</div>



    </td>
  </tr>

</table>


<?
$this->load->view('cpanel/footer');
?>
